summaryrefslogtreecommitdiff
path: root/gnome-extra
diff options
context:
space:
mode:
Diffstat (limited to 'gnome-extra')
-rw-r--r--gnome-extra/gpaste/Manifest3
-rw-r--r--gnome-extra/gpaste/gpaste-3.0.2.ebuild51
-rw-r--r--gnome-extra/gpaste/gpaste-3.2.2.ebuild58
-rw-r--r--gnome-extra/gpaste/gpaste-3.8.ebuild57
-rw-r--r--gnome-extra/nautilus-megasync/Manifest2
-rw-r--r--gnome-extra/nautilus-megasync/nautilus-megasync-2.0.0.ebuild36
6 files changed, 207 insertions, 0 deletions
diff --git a/gnome-extra/gpaste/Manifest b/gnome-extra/gpaste/Manifest
new file mode 100644
index 00000000..391836fa
--- /dev/null
+++ b/gnome-extra/gpaste/Manifest
@@ -0,0 +1,3 @@
+DIST gpaste-3.0.2.tar.xz 365084 SHA256 e3d2cdb89e5e35b5029dde4f7603f071b4e511ffb5431ab22669fc257be750ae SHA512 48d9cbf16780551b062e07056da592ceb17e791ff425c5da3adcca02059ec95a6c143c52bf203cf0fd6946aedbea0461e00448a7ee98c0934d8fc8a63a9be68a WHIRLPOOL c877c71c8744dc9a0c61e864e0db8494077e85d8831bca91dbbe5015d132a309ed0fa22d5bd1acff88063d4fb57ff1cb8255e03d3cdb853f54a9e80efbd764d1
+DIST gpaste-3.2.2.tar.xz 372760 SHA256 6e27b3d32c42e2bfedab1d50f356e87bd31d990caa950997417d8b07fdd3b7ac SHA512 6fc4f1c43fc056c4be192b4628b2c6953df56f3b4844abe17832f6a57f9b6c8086cfcaa3db987ab0fa34ad900d17e391ecf1706ba3589165eebc13822df2bd6b WHIRLPOOL b013fe03c29ecb6ba7ed9a19da1f1392dc1108c09a8abd756a57379f4e0b7ab0e9a6287fe12db5d545668e2e77673344d915945301504d32e44e37b1d949a808
+DIST gpaste-3.8.tar.xz 407516 SHA256 0dda78e427beb7b0cfbf0cd8be0ad07a2a2d4ca064679ceb4f70049e19a7cb02 SHA512 3525bcb12fdb44a2364eb769c76a3aee8c9f1474c87113285ab8c56db662df3e1f0486a19d24ef33f7273f6afbc2a6a92b1d738cd1a3f5f56c40dafa64d4c95a WHIRLPOOL ffdda4bbb69fcfe5bbb8ec9816887da4e19e9198fbb85fa0ef60576b09c3ebbba4f51d96ee2445f60c143f05a611dcfbbd10f36ecf06af9886a911dc58e4862f
diff --git a/gnome-extra/gpaste/gpaste-3.0.2.ebuild b/gnome-extra/gpaste/gpaste-3.0.2.ebuild
new file mode 100644
index 00000000..56540c05
--- /dev/null
+++ b/gnome-extra/gpaste/gpaste-3.0.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+inherit bash-completion-r1 gnome2
+
+DESCRIPTION="Clipboard management system"
+HOMEPAGE="http://github.com/Keruspe/GPaste"
+SRC_URI="http://www.imagination-land.org/files/gpaste//${P}.tar.xz"
+RESTRICT="nomirror"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="applet bash-completion +gnome-shell +vala zsh-completion"
+
+DEPEND=">=dev-libs/glib-2.30:2
+ >=sys-devel/gettext-0.17
+ >=dev-util/intltool-0.40
+ >=x11-libs/gtk+-3.0.0:3
+ dev-libs/libxml2
+ x11-libs/libxcb
+ sys-apps/dbus
+ >=dev-libs/gobject-introspection-1.30.0
+ >=dev-lang/vala-0.20.0:0.20[vapigen]"
+RDEPEND="${DEPEND}
+ bash-completion? ( app-shells/bash )
+ gnome-shell? ( >gnome-base/gnome-shell-3.3.2 )
+ zsh-completion? ( app-shells/zsh app-shells/zsh-completion )"
+
+G2CONF="
+ VALAC=$(type -p valac-0.20)
+ VAPIGEN=$(type -p vapigen-0.20)
+ --disable-schemas-compile
+ $(use_enable applet)
+ $(use_enable gnome-shell gnome-shell-extension)
+ $(use_enable vala)"
+
+
+REQUIRED_USE="|| ( gnome-shell applet )"
+
+src_install() {
+ use bash-completion && dobashcomp data/completions/gpaste
+ if use zsh-completion ; then
+ insinto /usr/share/zsh/site-functions
+ doins data/completions/_gpaste
+ fi
+ gnome2_src_install
+ find ${D} -name '*.la' -exec rm -f {} +
+}
diff --git a/gnome-extra/gpaste/gpaste-3.2.2.ebuild b/gnome-extra/gpaste/gpaste-3.2.2.ebuild
new file mode 100644
index 00000000..8b2d48af
--- /dev/null
+++ b/gnome-extra/gpaste/gpaste-3.2.2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+inherit bash-completion-r1 gnome2
+
+DESCRIPTION="Clipboard management system"
+HOMEPAGE="http://github.com/Keruspe/GPaste"
+SRC_URI="http://www.imagination-land.org/files/gpaste//${P}.tar.xz"
+RESTRICT="nomirror"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="applet bash-completion +gnome-shell +vala zsh-completion +systemd"
+
+DEPEND=">=dev-libs/glib-2.30:2
+ >=sys-devel/gettext-0.17
+ >=dev-util/intltool-0.40
+ >=x11-libs/gtk+-3.0.0:3
+ dev-libs/libxml2
+ x11-libs/libxcb
+ sys-apps/dbus
+ >=dev-libs/gobject-introspection-1.30.0
+ >=dev-lang/vala-0.22.0:0.22[vapigen]"
+RDEPEND="${DEPEND}
+ bash-completion? ( app-shells/bash )
+ gnome-shell? ( >gnome-base/gnome-shell-3.3.2
+ <gnome-base/gnome-shell-3.10 )
+ zsh-completion? ( app-shells/zsh app-shells/zsh-completion )
+ systemd? ( sys-apps/systemd )"
+
+G2CONF="
+ VALAC=$(type -p valac-0.22)
+ VAPIGEN=$(type -p vapigen-0.22)
+ --disable-schemas-compile
+ $(use_enable applet)
+ $(use_enable gnome-shell gnome-shell-extension)
+ $(use_enable vala)"
+
+
+REQUIRED_USE="|| ( gnome-shell applet )"
+
+src_configure(){
+ econf \
+ $(use_enable systemd)
+}
+
+src_install() {
+ use bash-completion && dobashcomp data/completions/gpaste
+ if use zsh-completion ; then
+ insinto /usr/share/zsh/site-functions
+ doins data/completions/_gpaste
+ fi
+ gnome2_src_install
+ find ${D} -name '*.la' -exec rm -f {} +
+}
diff --git a/gnome-extra/gpaste/gpaste-3.8.ebuild b/gnome-extra/gpaste/gpaste-3.8.ebuild
new file mode 100644
index 00000000..abc5f9fc
--- /dev/null
+++ b/gnome-extra/gpaste/gpaste-3.8.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+inherit bash-completion-r1 gnome2
+
+DESCRIPTION="Clipboard management system"
+HOMEPAGE="http://github.com/Keruspe/GPaste"
+SRC_URI="http://www.imagination-land.org/files/gpaste//${P}.tar.xz"
+RESTRICT="nomirror"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="applet bash-completion +gnome-shell +vala zsh-completion +systemd"
+
+DEPEND=">=dev-libs/glib-2.30:2
+ >=sys-devel/gettext-0.17
+ >=dev-util/intltool-0.40
+ >=x11-libs/gtk+-3.0.0:3
+ dev-libs/libxml2
+ x11-libs/libxcb
+ sys-apps/dbus
+ >=dev-libs/gobject-introspection-1.30.0
+ >=dev-lang/vala-0.22.0:0.22[vapigen]"
+RDEPEND="${DEPEND}
+ bash-completion? ( app-shells/bash )
+ gnome-shell? ( >=gnome-base/gnome-shell-3.10 )
+ zsh-completion? ( app-shells/zsh app-shells/zsh-completion )
+ systemd? ( sys-apps/systemd )"
+
+G2CONF="
+ VALAC=$(type -p valac-0.22)
+ VAPIGEN=$(type -p vapigen-0.22)
+ --disable-schemas-compile
+ $(use_enable applet)
+ $(use_enable gnome-shell gnome-shell-extension)
+ $(use_enable vala)"
+
+
+REQUIRED_USE="|| ( gnome-shell applet )"
+
+src_configure(){
+ econf \
+ $(use_enable systemd)
+}
+
+src_install() {
+ use bash-completion && dobashcomp data/completions/gpaste
+ if use zsh-completion ; then
+ insinto /usr/share/zsh/site-functions
+ doins data/completions/_gpaste
+ fi
+ gnome2_src_install
+ find ${D} -name '*.la' -exec rm -f {} +
+}
diff --git a/gnome-extra/nautilus-megasync/Manifest b/gnome-extra/nautilus-megasync/Manifest
new file mode 100644
index 00000000..68da8382
--- /dev/null
+++ b/gnome-extra/nautilus-megasync/Manifest
@@ -0,0 +1,2 @@
+DIST nautilus-megasync_2.0.0_amd64.deb 47202 SHA256 4c419210008a9b4d5c1af1967c26d085e655d68e971d8123d5610bd966c51bb4 SHA512 487190e66333143ca68790a3fae6092e71f283478e0a108db89b40efcd78e8bd6dd05a42bf9fa5693ecae1f7b5fc2c94e9f78356759f0374a0fc19f88bb4bca1 WHIRLPOOL 1c177dc176d57aa43d3050745812259d8369c042e7fd1396b8a7c9c12f3ddefc0d8503b1e150246665ee3af6c6bb810c37aed40aae5153c74c05f6580e95ab81
+DIST nautilus-megasync_2.0.0_i386.deb 47314 SHA256 ded467e8ae9f0f3f7d0f49cd55efea38356d0b2ca984c37fe16cdf38bc6876d2 SHA512 07974c9f2882cf4956060bd1f684c1e6fdc4ba798657c972b6b31cd6f9d6a5cf1f3d4531120db698d76b14c0acf3adb644f6c4c1f2e8bacf025250974ddd0efe WHIRLPOOL 4ab1e2ca638ad29407c6f5a8148c17d74cf60ca0e3ef7d6879e47ce2b2f27b59fe6b44f0f8b28ce345bf1173e694d62fa55f8aace9609de141809b1711d8a895
diff --git a/gnome-extra/nautilus-megasync/nautilus-megasync-2.0.0.ebuild b/gnome-extra/nautilus-megasync/nautilus-megasync-2.0.0.ebuild
new file mode 100644
index 00000000..0528eef8
--- /dev/null
+++ b/gnome-extra/nautilus-megasync/nautilus-megasync-2.0.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils multilib unpacker
+
+DESCRIPTION="Nautilus plugin for using the MEGA account with Megasync"
+HOMEPAGE="http://mega.co.nz"
+SRC_URI="
+ x86? ( https://mega.co.nz/linux/MEGAsync/xUbuntu_14.04/i386/${PN}_${PV}_i386.deb )
+ amd64? ( https://mega.co.nz/linux/MEGAsync/xUbuntu_14.04/amd64/${PN}_${PV}_amd64.deb )
+"
+
+LICENSE="MEGA"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+DEPEND="net-misc/megasync
+ gnome-base/nautilus"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}"
+
+src_unpack(){
+ unpack ${A}
+ unpack ./data.tar.xz
+ rm -vr control.tar.gz data.tar.xz debian-binary usr/src
+}
+
+src_install(){
+ insinto /
+ doins -r usr
+}